<template>
	<div>
		<h1>Transition example</h1>

		<div>
			<button @click="toggleDescription">Toggle description</button>
		</div>

		<transition name="slide-fade" enter-active-class="custom-enter-active-class">
		<div class="description-wrapper" v-if="isDescriptionVisible">
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquid incidunt iste soluta. Accusantium
				pariatur quibusdam quidem sunt. A animi esse, exercitationem impedit, molestias praesentium quas, suscipit
				tempore unde vero voluptatem. Lorem ipsum dolor sit amet, consectetur adipisicing elit. Aliquam aliquid aperiam
				laudantium nihil nulla! A aspernatur ex, fuga non nostrum porro quod saepe sint? Eum id ipsa natus quod
				similique.</p>
		</div>
		</transition>
	</div>
</template>

<script>
	export default {
		name: "TransitionExample",
		data: function () {
			return {
				isDescriptionVisible: false
			}
		},
		methods: {
			toggleDescription: function () {
				this.isDescriptionVisible = !this.isDescriptionVisible;
			}
		}
	}
</script>

<style scoped>
	.description-wrapper {
		width: 30%;
		margin: 0 auto;
	}

	.slide-fade-leave-active {
		transition: all .8s cubic-bezier(1.0, 0.5, 0.8, 1.0);
	}

	.slide-fade-enter, .slide-fade-leave-to {
		transform: translateX(10px);
		opacity: 0;
	}

	.custom-enter-active-class {
		transition: all .3s ease;
	}

	button {
		padding: 5px 20px;
	}
</style>
